Bug 195339 - Bulding sysutils/testdisk with option PROGSREISERFS on
Summary: Bulding sysutils/testdisk with option PROGSREISERFS on
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-24 16:56 UTC by SASAKI Katuhiro
Modified: 2018-03-06 14:56 UTC (History)
6 users (show)

See Also:


Attachments
Replace libreiserfs-0.3.so as libreiserfs.so in Makefile. (555 bytes, patch)
2014-11-24 16:56 UTC, SASAKI Katuhiro
no flags Details | Diff
Patch for testdisk 7.1 WIP with fix for libreiserfs.so (2.64 KB, patch)
2018-03-06 11:24 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SASAKI Katuhiro 2014-11-24 16:56:00 UTC
Created attachment 149779 [details]
Replace libreiserfs-0.3.so as libreiserfs.so in Makefile.

When PROGSREISERFS option is enabled, next line is evaluated.
PROGSREISERFS_LIB_DEPENDS=	libreiserfs-0.3.so:${PORTSDIR}/sysutils/progsreiserfs

But, sysutils/progsreiserfs does not install ${LOCALBASE}/libreiserfs-0.3.so but ${LOCALBASE}/libreiserfs.so (symlink of ${LOCALBASE}/lib/libreiserfs-0.3.so.0.0.1). So, this can be revised as below.
PROGSREISERFS_LIB_DEPENDS=	libreiserfs.so:${PORTSDIR}/sysutils/progsreiserfs
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-11-25 01:05:37 UTC
Fix Summary and assign.
Comment 2 Ting-Wei Lan 2016-11-04 16:55:33 UTC
Ping ... It is still broken now even if the problem was found almost two years ago. Can it be reviewed and fixed soon?
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-14 00:56:51 UTC
Maintainer feedback?
Comment 4 flz 2018-01-14 20:41:43 UTC
After 3 years I'm surprised this hasn't been landed with maintainer timeout :-)

Actually, I'm surprised my ports haven't been reassigned to ports@. Mark: Can you do that when you've got a minute? I haven't touched ports in 7 years at this point and I've got no prospect of free time to do so in the near future.
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-15 00:49:55 UTC
You are right, I think it is maintainer timeout!
Comment 6 Kai Knoblich freebsd_committer 2018-03-06 11:24:45 UTC
Created attachment 191247 [details]
Patch for testdisk 7.1 WIP with fix for libreiserfs.so

Hello,

testdisk has been updated to 7.1 WIP meanwhile. I've created a updated version of the patch which does following:

- fixes the libreiserfs.so issue
- updates testdisk to 7.1 WIP

Changes to the port:
- changed PORTVERSION to DISTVERSION
- place port back to the pool
- removed entries that were already commented out
- removed post-patch target because it isn't needed anymore
- removed "*/qphotorec*" entries from PLIST_FILES to pass Stage-QA

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) -> OK
- portlint -> OK

Note:
~~~~~
A disk device must be given manually as argument to testdisk/photorec. It seems that disks can't be detected automatically.
Comment 7 commit-hook freebsd_committer 2018-03-06 12:10:36 UTC
A commit references this bug:

Author: tobik
Date: Tue Mar  6 12:09:59 UTC 2018
New revision: 463720
URL: https://svnweb.freebsd.org/changeset/ports/463720

Log:
  sysutils/testdisk: Fix build with PROGREISERFS=on

  Fix LIB_DEPENDS: libreiserfs-0.3.so does not exist

  PR:		195339
  Submitted by:	crest@sahiro.org
  Approved by:	flz (maintainer)

Changes:
  head/sysutils/testdisk/Makefile
Comment 8 commit-hook freebsd_committer 2018-03-06 12:23:51 UTC
A commit references this bug:

Author: tobik
Date: Tue Mar  6 12:23:43 UTC 2018
New revision: 463721
URL: https://svnweb.freebsd.org/changeset/ports/463721

Log:
  sysutils/testdisk: Update to 7.1-WIP

  PR:		195339
  Submitted by:	freebsd_ports@k-worx.org (based on)

Changes:
  head/sysutils/testdisk/Makefile
  head/sysutils/testdisk/distinfo
Comment 9 commit-hook freebsd_committer 2018-03-06 12:33:02 UTC
A commit references this bug:

Author: tobik
Date: Tue Mar  6 12:32:02 UTC 2018
New revision: 463723
URL: https://svnweb.freebsd.org/changeset/ports/463723

Log:
  Reset MAINTAINER of flz's ports by his request

  PR:		195339

Changes:
  head/net/grdesktop/Makefile
  head/net/ldapsh/Makefile
  head/net-im/py-jabber/Makefile
  head/net-p2p/bnbt/Makefile
  head/net-p2p/libbt/Makefile
  head/security/openbsm/Makefile
  head/www/feedjack/Makefile
  head/www/visitors/Makefile
  head/x11/wmctrl/Makefile
  head/x11-themes/icons-tango-extras/Makefile
  head/x11-wm/tinywm/Makefile
Comment 10 commit-hook freebsd_committer 2018-03-06 12:34:07 UTC
A commit references this bug:

Author: tobik
Date: Tue Mar  6 12:33:51 UTC 2018
New revision: 463724
URL: https://svnweb.freebsd.org/changeset/ports/463724

Log:
  MFH: r463720

  sysutils/testdisk: Fix build with PROGREISERFS=on

  Fix LIB_DEPENDS: libreiserfs-0.3.so does not exist

  PR:		195339
  Submitted by:	crest@sahiro.org
  Approved by:	flz (maintainer)

  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q1/
  branches/2018Q1/sysutils/testdisk/Makefile
Comment 11 Tobias Kortkamp freebsd_committer 2018-03-06 12:34:58 UTC
Ok, committed both patches and reset flz's ports.  Thanks!

(In reply to owk from comment #6)
7.1-WIP is a pre-release version and we shouldn't misrepresent it as
being version 7.1, so I set DISTVERSION=7.1-WIP (=> PORTVERSION=7.1.w)
instead.

This way we won't need to bump PORTREVISION when 7.1 is actually
released since 7.1.w < 7.1 according to `pkg version -t 7.1.w 7.1`.
Comment 12 Walter Schwarzenfeld freebsd_triage 2018-03-06 14:56:08 UTC
Thanks tobik!